-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseDiagram

Declaration :

- C++ : class UmlBaseDiagram : public UmlItem
- Java : abstract class UmlBaseDiagram extends UmlItem

Directly inherited by : UmlDiagram

Mother class of all the classes managing the diagrams

Artifact : UmlBaseDiagram

Operation saveIn

Declaration :

- C++ : public: bool saveIn(const QCString & s) const
- Java : public void saveIn(String s) throws RuntimeException

saves the diagram picture in the file whose pathname is given in argument, the produced file is a PNG file. The aspect of the diagram is : - its visible part in case it is open - the aspect specified by its prefered size and scale in case these last are specified (see menu on a diagram view) - else the default diagram aspect, which is probably not as you want On error return FALSE in C++, produce a RuntimeException in Java

Operation UmlBaseDiagram

Declaration :

- C++ : protected: UmlBaseDiagram(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseDiagram(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , children , childrenVisible , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload